org.apache.felix.ipojo.manipulator.metadata.annotation.registry

## Class CompletableBindingRegistry

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.annotation.registry.CompletableBindingRegistry

All Implemented Interfaces:
  BindingRegistry

Direct Known Subclasses:
  IgnoreAllBindingRegistry, LegacyGenericBindingRegistry, MetaAnnotationBindingRegistry

    public abstract class CompletableBindingRegistry
    extends Object
    implements BindingRegistry

User: guillaume Date: 11/07/13 Time: 16:09

### Constructor Summary

Constructors
Constructor and Description
`CompletableBindingRegistry(BindingRegistry delegate, Reporter reporter)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `addBindings(Iterable<Binding> bindings)`
`protected abstract List<Binding>` `createBindings(org.objectweb.asm.Type type)`
`List<Binding>` `getBindings(String descriptor)` Find the list of `Binding` registered with the given annotation type.
`Selection` `selection(ComponentWorkbench workbench)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompletableBindingRegistry

    public CompletableBindingRegistry(BindingRegistry delegate,
                                      Reporter reporter)

### Method Detail

#### getBindings

    public List<Binding> getBindings(String descriptor)

Description copied from interface: `BindingRegistry`
Find the list of `Binding` registered with the given annotation type. This method returns an empty List if no bindings are registered.

Specified by:
  `getBindings` in interface `BindingRegistry`
Parameters:
  `descriptor` - denotes the annotation's type
Returns:
  the list of `Binding` registered with the given descriptor, the list may be empty if no bindings are found.

#### createBindings

    protected abstract List<Binding> createBindings(org.objectweb.asm.Type type)

#### addBindings

    public void addBindings(Iterable<Binding> bindings)

Specified by:
  `addBindings` in interface `BindingRegistry`

#### selection

    public Selection selection(ComponentWorkbench workbench)

Specified by:
  `selection` in interface `BindingRegistry`